Page 1 of 1

version 2.3.6 client failing lz4 compression

Posted: Wed May 29, 2019 5:04 pm
by jmeredith
hey guys I have an untangle box running OpenVPN 2.4.0 im trying to connect a packer squirrel to the untangle box, the packet squirrel is running OpenVPN 2.3.6 and cant be updated.

Im getting errors related to compression, when I remove the compress-lz4 like from the client config, it will connect but cant maintain a connection.

when i include the lz4 compression on the client config, it errors out before it will even start. is there a way to push compress-lz4 to the client?

this is the error in the server log:
Bad LZ4 decompression header byte: 69



any help would be appreciated.

thanks!

Re: version 2.3.6 client failing lz4 compression

Posted: Wed May 29, 2019 5:31 pm
by TinCanTech
2.3.6 does not support --compress

Re: version 2.3.6 client failing lz4 compression

Posted: Wed May 29, 2019 9:09 pm
by jmeredith
right... i get that its not supported in 2.3.6, thats why I'm here...is there a solution?... what's the ramification of using no compression?

-J

Re: version 2.3.6 client failing lz4 compression

Posted: Wed May 29, 2019 9:09 pm
by jmeredith
right... i get that its not supported in 2.3.6, thats why I'm here...is there a solution?... what's the ramification of using no compression?

-J

Re: version 2.3.6 client failing lz4 compression

Posted: Wed May 29, 2019 9:29 pm
by TinCanTech
You will have to use --comp-lzo